<div class="book-list">
  <div class="row heading-row">
    <div class="cell">Title</div>
    <div class="cell">Published</div>
    <div class="cell">Rating</div>
    <div class="cell">Buy on</div>
  </div>

  <div class="row" ng-repeat="book in $ctrl.books"
       ng-class="{stripped: $index % 2 === 0, clickable: book.description}"
       ng-click="opened = !opened">
    <div class="cell">
      <img class="book-image" ng-src="{{book.imageUrl}}" alt="Book cover image">
      <div>
        <div class="book-title">{{book.title}}</div>
        <div class="book-author"><span class="field-label-sm">by&nbsp;</span>{{book.author}}</div>
      </div>
    </div>
    <div class="cell"><span class="field-label-sm">Published:&nbsp;</span>{{book.publishYear}}</div>
    <div class="cell"><span class="field-label-sm">Rating:&nbsp;</span>{{book.rating}}</div>
    <div class="cell book-stores">
      <div ng-repeat="store in book.stores">
        <span class="field-label-sm">Buy on:&nbsp;</span>
        <a class="book-store-url" ng-href="{{store.buyUrl}}" target="_blank">{{store.name}}</a>
      </div>
    </div>

    <div class="book-description" ng-class="{opened: opened}"
         ng-bind-html="book.description | trustHtml">
    </div>
  </div>
</div>
